Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.util
Class Transfer

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--java.applet.Applet
                              |
                              +--org.hsqldb.util.Transfer

public class Transfer
extends Applet
implements ActionListener, ItemListener, WindowListener

Inner Class Summary
`(package private) class` | Transfer.Table

Inner classes inherited from class java.applet.Applet
`Applet.AccessibleApplet`

Inner classes inherited from class java.awt.Panel
`Panel.AccessibleAWTPanel`

Field Summary
`(package private) static boolean` | `bMustExit`
`(package private) java.awt.Button` | `bStart`
`(package private) java.awt.Checkbox` | `cCreate`
`(package private) java.awt.Checkbox` | `cDelete`
`(package private) java.awt.Checkbox` | `cDrop`
`(package private) java.awt.Checkbox` | `cInsert`
`(package private) java.sql.Connection` | `cSource`
`(package private) java.sql.Connection` | `cTarget`
`(package private) java.awt.Checkbox` | `cTransfer`
`(package private) java.sql.DatabaseMetaData` | `dSourceMeta`
`(package private) java.sql.DatabaseMetaData` | `dTargetMeta`
`(package private) java.awt.Frame` | `fMain`
`(package private) java.util.Hashtable` | `hTypes`
`(package private) int` | `iMaxRows`
`(package private) java.awt.Image` | `imgEmpty`
`(package private) java.awt.List` | `lTable`
`(package private) java.lang.String` | `sLast`
`(package private) java.sql.Statement` | `sSourceStatement`
`(package private) java.sql.Statement` | `sTargetStatement`
`(package private) org.hsqldb.util.Transfer.Table` | `tCurrent`
`(package private) java.awt.TextField` | `tDestCreate`
`(package private) java.awt.TextField` | `tDestDelete`
`(package private) java.awt.TextField` | `tDestDrop`
`(package private) java.awt.TextField` | `tDestInsert`
`(package private) java.awt.TextField` | `tDestTable`
`(package private) java.awt.TextField` | `tMessage`
`(package private) java.awt.TextField` | `tSourceSelect`
`(package private) java.awt.TextField` | `tSourceTable`
`(package private) java.util.Vector` | `tTable`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`Transfer()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent )`
`(package private) void` | `addMenuItems(java.awt.Menu , java.lang.String[] )`
`(package private) java.awt.Panel` | `createBorderPanel(java.awt.Component )`
`(package private) java.awt.Label` | `createLabel(java.lang.String )`
`(package private) void` | `displayTable(org.hsqldb.util.Transfer.Table )`
`void` | `init()`
`(package private) void` | `initGUI()`
`void` | `itemStateChanged(java.awt.event.ItemEvent )`
`static void` | `main(java.lang.String[] )`
`(package private) void` | `main()`
`(package private) void` | `saveTable()`
`(package private) void` | `trace(java.lang.String )`
`(package private) void` | `transfer()`
`(package private) void` | `transfer(org.hsqldb.util.Transfer.Table )`
`(package private) void` | `transferRow(int[] , java.sql.ResultSet , java.sql.PreparedStatement )`
`(package private) void` | `updateEnabled(boolean )`
`void` | `windowActivated(java.awt.event.WindowEvent )`
`void` | `windowClosed(java.awt.event.WindowEvent )`
`void` | `windowClosing(java.awt.event.WindowEvent )`
`void` | `windowDeactivated(java.awt.event.WindowEvent )`
`void` | `windowDeiconified(java.awt.event.WindowEvent )`
`void` | `windowIconified(java.awt.event.WindowEvent )`
`void` | `windowOpened(java.awt.event.WindowEvent )`
`static void` | `work()`

Methods inherited from class java.applet.Applet
`setStub, isActive, getDocumentBase, getCodeBase, getParameter, getAppletContext, resize, resize, showStatus, getImage, getImage, newAudioClip, getAudioClip, getAudioClip, getAppletInfo, getLocale, getParameterInfo, play, play, start, stop, destroy, getAccessibleContext`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, getInsets, insets, add, add, add, add, add, remove, remove, removeAll, getLayout, setLayout, doLayout, layout, invalidate, validate, setFont, getPreferredSize, preferredSize, getMinimumSize, minimumSize, getMaximumSize, getAlignmentX, getAlignmentY, paint, update, print, paintComponents, printComponents, addContainerListener, removeContainerListener, getListeners, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, removeNotify, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getGraphicsConfiguration, getTreeLock, getToolkit, isValid, isDisplayable, isVisible, isShowing, isEnabled, setEnabled, enable, enable, disable, isDoubleBuffered, enableInputMethods, setVisible, show, show, hide, getForeground, setForeground, getBackground, setBackground, getFont, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, setSize, getBounds, bounds, setBounds, reshape, setBounds, getX, getY, getWidth, getHeight, getBounds, getSize, getLocation, isOpaque, isLightweight, getGraphics, getFontMetrics, setCursor, getCursor, paintAll, repaint, repaint, repaint, repaint, printAll, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, contains, inside, contains, dispatchEvent, postEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, getInputContext, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, isFocusTraversable, requestFocus, transferFocus, nextFocus, hasFocus, add, remove, toString, list, list, list, addPropertyChangeListener, removePropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### bMustExit

    static boolean bMustExit

### bStart

    java.awt.Button bStart

### cCreate

    java.awt.Checkbox cCreate

### cDelete

    java.awt.Checkbox cDelete

### cDrop

    java.awt.Checkbox cDrop

### cInsert

    java.awt.Checkbox cInsert

### cSource

    java.sql.Connection cSource

### cTarget

    java.sql.Connection cTarget

### cTransfer

    java.awt.Checkbox cTransfer

### dSourceMeta

    java.sql.DatabaseMetaData dSourceMeta

### dTargetMeta

    java.sql.DatabaseMetaData dTargetMeta

### fMain

    java.awt.Frame fMain

### hTypes

    java.util.Hashtable hTypes

### iMaxRows

    int iMaxRows

### imgEmpty

    java.awt.Image imgEmpty

### lTable

    java.awt.List lTable

### sLast

    java.lang.String sLast

### sSourceStatement

    java.sql.Statement sSourceStatement

### sTargetStatement

    java.sql.Statement sTargetStatement

### tCurrent

    org.hsqldb.util.Transfer.Table tCurrent

### tDestCreate

    java.awt.TextField tDestCreate

### tDestDelete

    java.awt.TextField tDestDelete

### tDestDrop

    java.awt.TextField tDestDrop

### tDestInsert

    java.awt.TextField tDestInsert

### tDestTable

    java.awt.TextField tDestTable

### tMessage

    java.awt.TextField tMessage

### tSourceSelect

    java.awt.TextField tSourceSelect

### tSourceTable

    java.awt.TextField tSourceTable

### tTable

    java.util.Vector tTable

Constructor Detail

### Transfer

    public Transfer()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent )

### addMenuItems

    void addMenuItems(java.awt.Menu , java.lang.String[] )

### createBorderPanel

    java.awt.Panel createBorderPanel(java.awt.Component )

### createLabel

    java.awt.Label createLabel(java.lang.String )

### displayTable

    void displayTable(org.hsqldb.util.Transfer.Table )

### init

    public void init()

### initGUI

    void initGUI()

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent )

### main

    public static void main(java.lang.String[] )

### main

    void main()

### saveTable

    void saveTable()

### trace

    void trace(java.lang.String )

### transfer

    void transfer()

### transfer

    void transfer(org.hsqldb.util.Transfer.Table )

### transferRow

    void transferRow(int[] , java.sql.ResultSet , java.sql.PreparedStatement )

### updateEnabled

    void updateEnabled(boolean )

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent )

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent )

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent )

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent )

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent )

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent )

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent )

### work

    public static void work()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD